delete_nodes_ws {DiagrammeR} | R Documentation

## Delete all selected nodes in a node selection

### Description

In a graph object of class `dgr_graph`, delete all nodes present in a selection.

Selections of nodes can be performed using the following `select_...` functions: `select_nodes()`, `select_last_nodes_created()`, `select_nodes_by_degree()`, `select_nodes_by_id()`, or `select_nodes_in_neighborhood()`. Selections of nodes can also be performed using the following traversal functions: (`trav_...`): `trav_out()`, `trav_in()`, `trav_both()`, `trav_in_node()`, `trav_out_node()`.

### Usage

    delete_nodes_ws(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a graph object of class `dgr_graph`.

### Examples

    # Create a graph with 3 nodes
    graph <-
      create_graph() %>%
      add_n_nodes(n = 3) %>%
      add_edges_w_string(
        edges = "1->3 1->2 2->3")

    # Select node with ID `1`
    graph <-
      graph %>%
      select_nodes_by_id(nodes = 1)

    # Delete node in selection (this
    # also deletes any attached edges)
    graph <-
      graph %>%
      delete_nodes_ws()

    # Get a count of nodes in the graph
    graph %>%
      count_nodes()

[Package DiagrammeR version 1.0.1 Index]